## tldextract 2.2.0

=== tldextract_app/requirements.txt ===
web.py==0.34

=== debian/changelog ===
tldextract (2.2.0-1~ubuntu16.04.1) xenial; urgency=medium

  * Backport to Xenial
  * Disable tests due to pytest issues

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 06 Jun 2018 03:15:08 +0000

tldextract (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #888801)

 -- Ana Custura <ana@netstat.org.uk>  Sat, 10 Feb 2018 18:36:21 +0000

=== debian/control ===
Source: tldextract
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python3-all,
               python3-setuptools,
               python3-idna,
               python3-requests,
               python3-requests-file,
               python3-nose,
               python3-responses,
               python3-pytest
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tldextract
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tldextract.git
Homepage: https://github.com/john-kurkowski/tldextract

Package: python3-tldextract
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: publicsuffix
Description: Python library for separating TLDs
 tldextract accurately separates the gTLD or ccTLD (generic or country code
 top-level domain) from the registered domain and subdomains of a URL. By
 default, this package supports the public ICANN TLDs and their exceptions,
 with optional support for the Public Suffix List's private domains as well.
 .
 This package installs the library for Python 3.

Package: tldextract
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-tldextract (= ${binary:Version})
Description: Python tool for separating TLDs
 tldextract accurately separates the gTLD or ccTLD (generic or country code
 top-level domain) from the registered domain and subdomains of a URL. By
 default, this package supports the public ICANN TLDs and their exceptions,
 with optional support for the Public Suffix List's private domains as well.
 .
 This package installs the tool for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tldextract
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
#export PYBUILD_TEST_PYTEST=0
#export PYBUILD_TEST_ARGS_python3=-k "not test_log_snapshot_diff"
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=tldextract --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

override_dh_auto_test:
	echo "Skipping tests"

## tldextract 2.2.1

=== debian/changelog ===
tldextract (2.2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ana Custura ]
  * New upstream version 2.2.1
  * Updates S-V to 4.4.0 (no changes needed)
  * Declares Testsuite in debian/control

 -- Ana Custura <ana@netstat.org.uk>  Wed, 24 Jul 2019 13:18:01 +0100

tldextract (2.2.0-2) unstable; urgency=medium

  [ Ana C. Custura ]
  * Updates VCS fields
  * Updates Standards-Version to 4.2.0
  * Removes trailing whitespace
  * Adds missing build dependency on dh-python

 -- Ana Custura <ana@netstat.org.uk>  Thu, 16 Aug 2018 23:43:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: tldextract
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ana Custura <ana@netstat.org.uk>
+Maintainer: Ana Custura <ana@netstat.org.uk>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 11),
+               dh-python,
                python3-all,
                python3-setuptools,
                python3-idna,
@@ -12,10 +13,11 @@
                python3-nose,
                python3-responses,
                python3-pytest
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tldextract
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-tldextract.git
 Homepage: https://github.com/john-kurkowski/tldextract
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-tldextract
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tldextract
export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS_python3=-k "not test_log_snapshot_diff"
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=tldextract --sourcedir=$(PYBUILD_DESTDIR_python3) usr/bin

## tldextract 3.1.2

=== debian/changelog ===
tldextract (3.1.2-2) unstable; urgency=medium

  * Team upload.
  * Let pybuild set the scm version instead of patching it in.
  * Manually clean _version.py since pybuild doesn't yet (Closes: #1015029)

 -- Paul Wise <pabs@debian.org>  Mon, 25 Jul 2022 17:30:15 +0800

tldextract (3.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Ana Custura ]
  * New upstream version 3.1.2
  * Update patches in line with new version
  * Update build dependencies for new version
  * Bump debhelper-compat version to 13
  * Add patch to generate version file

 -- Ana Custura <ana@netstat.org.uk>  Tue, 18 Jan 2022 13:01:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tldextract
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -12,12 +12,16 @@
                python3-requests-file,
                python3-nose,
                python3-responses,
-               python3-pytest
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tldextract
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tldextract.git
+               python3-pytest,
+               python3-pytest-mock,
+	       python3-setuptools-scm,
+               python3-filelock
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tldextract
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-tldextract.git
 Homepage: https://github.com/john-kurkowski/tldextract
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-tldextract
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=tldextract
 export PYBUILD_DESTDIR_python3=debian/python3-${PYBUILD_NAME}
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS_python3=-k "not test_log_snapshot_diff"
+export PYBUILD_TEST_ARGS_python3=-k "not test_log_snapshot_diff and not test_multiprocessing_makes_one_request"
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## tldextract 5.1.2

=== debian/changelog ===
tldextract (5.1.2-2) unstable; urgency=medium

  * Team Upload
  * Set Team as Maintainer per new DPT Policy
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the default now
  * Reformat d/control with debputy

  [ Michel Le Bihan ]
  * patch: Use list of suffixes from publicsuffix package
           (Closes: #1076826, #1111574)
  * Declare runtime dependency on publicsuffix
  * Make autopkgtest-pkg-pybuild work

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 16:02:43 +0200

tldextract (5.1.2-1) unstable; urgency=medium

  * Team Upload
  * Standards-Version: 4.7.0 (routine-update)
  * Update build dependencies:
    - python3-nose (Closes: #1018650)
    + pybuild-plugin-pyproject
    + python3-syrupy
    + publicsuffix
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove trailing whitespace in debian/copyright

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 May 2024 22:58:02 +0200

=== debian/control ===
Source: tldextract
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ana Custura <ana@netstat.org.uk>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 publicsuffix,
 pybuild-plugin-pyproject,
 python3-all,
 python3-filelock,
 python3-idna,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-requests-file,
 python3-responses,
 python3-setuptools,
 python3-setuptools-scm,
 python3-syrupy,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tldextract
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tldextract.git
Homepage: https://github.com/john-kurkowski/tldextract
Testsuite: autopkgtest-pkg-pybuild
X-Style: black

Package: python3-tldextract
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 publicsuffix,
Description: Python library for separating TLDs
 tldextract accurately separates the gTLD or ccTLD (generic or country code
 top-level domain) from the registered domain and subdomains of a URL. By
 default, this package supports the public ICANN TLDs and their exceptions,
 with optional support for the Public Suffix List's private domains as well.
 .
 This package installs the library for Python 3.

Package: tldextract
Architecture: all
Depends:
 python3-tldextract (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Python tool for separating TLDs
 tldextract accurately separates the gTLD or ccTLD (generic or country code
 top-level domain) from the registered domain and subdomains of a URL. By
 default, this package supports the public ICANN TLDs and their exceptions,
 with optional support for the Public Suffix List's private domains as well.
 .
 This package installs the tool for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=tldextract
export PYBUILD_DESTDIR=debian/python3-${PYBUILD_NAME}
export PYBUILD_TEST_PYTEST=1
export PYBUILD_BEFORE_TEST=cp -r {dir}/CHANGELOG.md {dir}/tests/ {dir}/scripts/ {build_dir}/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/CHANGELOG.md  {build_dir}/tests/ {build_dir}/scripts/
export PYBUILD_TEST_ARGS=-k "not test_multiprocessing_makes_one_request"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	dh_movefiles --package=tldextract --sourcedir=$(PYBUILD_DESTDIR) usr/bin

=== debian/watch ===
version=4

   https://github.com/john-kurkowski/tldextract/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
